<script lang="ts">
    import { isActive, url } from '@roxi/routify';
    import Toast from '../components/Toast.svelte'
    import { notifFailure, notifSuccess } from '../stores/notification';

    let mobileNavBarExpanded: boolean = false;

    function toggleNavBar() {
        mobileNavBarExpanded = !mobileNavBarExpanded;
    }

    notifSuccess.subscribe(message => {
        if (message) {
            window['pushToast'](message, 'success');
        }
    });
    notifFailure.subscribe(message => {
        if (message) {
            window['pushToast'](message, 'failure');
        }
    });

</script>

<Toast />

<!-- routify:options preload="proximity" -->
<nav class="navbar" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
        <div class="navbar-item">
            <a class="navbar-item" class:is-active={$isActive('./')} href={$url('./')}>
                <strong>SXP/Me</strong>
            </a>
        </div>

        <a role="button" class="navbar-burger" class:is-active={mobileNavBarExpanded} on:click|preventDefault={() => toggleNavBar()} href="/">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
    </div>

    <div class="navbar-menu" class:is-active={mobileNavBarExpanded}>
        <div class="navbar-start">
            <a class="navbar-item" class:is-active={$isActive('./send')} href={$url('./send/user')}>
                Send
            </a>
            <a class="navbar-item" class:is-active={$isActive('./get')} href={$url('./get')}>
                Get
            </a>
        </div>

        <div class="navbar-end">
            <div class="navbar-item">
                <a class="navbar-item" class:is-active={$isActive('./about')} href={$url('./about')}>
                    About
                </a>
                <a class="navbar-item" class:is-active={$isActive('./settings')} href={$url('./settings')}>
                    Settings
                </a>
            </div>
        </div>
    </div>
</nav>

<div class="container">
    <main>
        <slot />
    </main>
</div>
